/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumComparator;
import de.ship.db.tables.VCoreLogiccond;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreLogiccondRecord extends TableRecordImpl<VCoreLogiccondRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_logiccond.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logiccond.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_logiccond.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logiccond.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_logiccond.fk_andgrp</code>.
     */
    public void setFkAndgrp(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logiccond.fk_andgrp</code>.
     */
    public Integer getFkAndgrp() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_logiccond.fk_left_element</code>.
     */
    public void setFkLeftElement(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logiccond.fk_left_element</code>.
     */
    public Integer getFkLeftElement() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_logiccond.left_depth</code>.
     */
    public void setLeftDepth(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logiccond.left_depth</code>.
     */
    public Integer getLeftDepth() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_logiccond.right_value</code>.
     */
    public void setRightValue(BigDecimal value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logiccond.right_value</code>.
     */
    public BigDecimal getRightValue() {
        return (BigDecimal) get(5);
    }

    /**
     * Setter for <code>common_dd.v_core_logiccond.fk_right_element</code>.
     */
    public void setFkRightElement(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logiccond.fk_right_element</code>.
     */
    public Integer getFkRightElement() {
        return (Integer) get(6);
    }

    /**
     * Setter for <code>common_dd.v_core_logiccond.right_depth</code>.
     */
    public void setRightDepth(Integer value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logiccond.right_depth</code>.
     */
    public Integer getRightDepth() {
        return (Integer) get(7);
    }

    /**
     * Setter for <code>common_dd.v_core_logiccond.comparator</code>.
     */
    public void setComparator(EnumComparator value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logiccond.comparator</code>.
     */
    public EnumComparator getComparator() {
        return (EnumComparator) get(8);
    }

    /**
     * Setter for <code>common_dd.v_core_logiccond.compare_variables</code>.
     */
    public void setCompareVariables(Boolean value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logiccond.compare_variables</code>.
     */
    public Boolean getCompareVariables() {
        return (Boolean) get(9);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreLogiccondRecord
     */
    public VCoreLogiccondRecord() {
        super(VCoreLogiccond.V_CORE_LOGICCOND);
    }

    /**
     * Create a detached, initialised VCoreLogiccondRecord
     */
    public VCoreLogiccondRecord(LocalDateTime lastchange, Integer pk, Integer fkAndgrp, Integer fkLeftElement, Integer leftDepth, BigDecimal rightValue, Integer fkRightElement, Integer rightDepth, EnumComparator comparator, Boolean compareVariables) {
        super(VCoreLogiccond.V_CORE_LOGICCOND);

        setLastchange(lastchange);
        setPk(pk);
        setFkAndgrp(fkAndgrp);
        setFkLeftElement(fkLeftElement);
        setLeftDepth(leftDepth);
        setRightValue(rightValue);
        setFkRightElement(fkRightElement);
        setRightDepth(rightDepth);
        setComparator(comparator);
        setCompareVariables(compareVariables);
        resetChangedOnNotNull();
    }
}
